package com.mvc.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

//用水量对象
public class YslModel {

    private String unitname;//用水单位
    private String stationCode;//遥测站代码
    private String stationName;//遥测站名称
    private BigDecimal resultValue;//用水量
    private String smallJpgUrl;//用水图片
    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date sampleTime;//时间

    public String getUnitname() {
        return unitname;
    }

    public void setUnitname(String unitname) {
        this.unitname = unitname;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public BigDecimal getResultValue() {
        return resultValue;
    }

    public void setResultValue(BigDecimal resultValue) {
        this.resultValue = resultValue;
    }

    public String getSmallJpgUrl() {
        return smallJpgUrl;
    }

    public void setSmallJpgUrl(String smallJpgUrl) {
        this.smallJpgUrl = smallJpgUrl;
    }

    public Date getSampleTime() {
        return sampleTime;
    }

    public void setSampleTime(Date sampleTime) {
        this.sampleTime = sampleTime;
    }
}
